import { jsx } from "react/jsx-runtime";
import { GiftIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Gift = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Gift", ...props, children: /* @__PURE__ */ jsx(GiftIcon, { weight: variant }) });
  }
);
Gift.displayName = "Gift";
Object.assign(Gift, { isGdsIcon: true });
export {
  Gift
};
